# $Revision: 1.36 $, $Date: 2009/03/31 13:25:41 $
#
# TODO:
# - make licensing clear (especially for the firmware)
# - optflags for apps
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose         # verbose build (V=1)

%define		_rel	2
Summary:	Linux driver for DRM
Summary(pl.UTF-8):	Sterownik dla Linuksa do DRM
Name:		kernel%{_alt_kernel}-video-drm
Version:	20090331
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
# git clone --depth 1 git://anongit.freedesktop.org/git/mesa/drm kernel-video-drm
# cd kernel-video-drm
# git archive master --prefix drm/ | bzip2 > drm-$(date +%Y%m%d).tar.bz2
Source0:	drm-%{version}.tar.bz2
# Source0-md5:	968740b4883bf219cf831f585184f614
URL:		http://dri.freedesktop.org/wiki/DRM
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
Obsoletes:	kernel-drm = %{_kernel_ver_str}
Conflicts:	kernel-drm = %{_kernel_ver_str}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DRM (Direct Rendering Manager) is a Linux kernel module that gives
direct hardware access to DRI clients.

%description -l pl.UTF-8
DRM (Direct Rendering Manager) to moduł jądra Linuksa dający
bezpośredni dostęp do sprzętu klientom DRI.

%prep
%setup -q -n drm

%build
chmod u+x scripts/create_linux_pci_lists.sh
cd linux-core
cat ../shared-core/drm_pciids.txt | ../scripts/create_linux_pci_lists.sh
echo CONFIG_X86_CMPXCHG:=y >> Makefile.new
cat Makefile >> Makefile.new
mv Makefile.new Makefile
export DRMSRCDIR=`pwd`
%build_kernel_modules -m drm,i810,mach64,mga,nouveau,r128,radeon,savage,sis,tdfx,via,xgi

%install
rm -rf $RPM_BUILD_ROOT

%install_kernel_modules -m linux-core/{drm,i810,mach64,mga,nouveau,r128,radeon,savage,sis,tdfx,via,xgi} -d kernel/drivers/gpu/drm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-video-drm
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-video-drm
%depmod %{_kernel_ver}

%files -n kernel%{_alt_kernel}-video-drm
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/gpu/drm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-video-drm.spec,v $
Revision 1.36  2009/03/31 13:25:41  patrys
- package to drivers/gpu not char
- rel 2

Revision 1.35  2009/03/31 13:19:31  patrys
- fix rel and packaging

Revision 1.34  2009/03/31 13:14:02  patrys
- correct tarball name

Revision 1.33  2009/03/31 13:12:10  patrys
- current snap
- add snapshot generating instructions

Revision 1.32  2007-06-04 19:41:27  zytek
- revert last change, thx sparky

Revision 1.31  2007/05/30 16:41:40  zytek
- remove verbose bcond (?)

Revision 1.30  2007/05/30 16:39:58  zytek
- remove kernel bcond, use only dist_kernel
- C: kernel-drm
- move modules to kernel/drivers/char/drm
- rel up, builds, needs testing

Revision 1.29  2007/05/27 23:51:29  zytek
- install modules in misc rather than nonexistent video subdir

Revision 1.28  2007/05/27 22:37:16  zytek
- up to 20070528, proper Source

Revision 1.27  2007/05/27 21:54:50  shadzik
- snap up to 20070527
- workaround for CONFIG_X86_CMPXCHG issue
- builds

Revision 1.26  2007/04/12 15:04:34  shadzik
- _alt_kernel support

Revision 1.25  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.23  2006/12/08 23:21:27  mmazur
- updated to latest snap

Revision 1.22  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.21  2006/04/05 08:28:28  wiget
- updated to 20060405 snapshot

Revision 1.20  2006/03/27 17:43:46  glen
- update to new kernel build. closes #5771

Revision 1.19  2006/03/25 14:23:21  kolodko
- rm pciids.patch (forgoten by author)

Revision 1.18  2006/03/24 11:53:17  qboosh
- updated pl descs

Revision 1.17  2006/03/24 11:36:17  glen
- specific url, updated descriptions

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2005/10/20 22:19:08  jpc
- new spec with drm kernel modules from DRI CVS
- added my Radeon Mobility X600 pciid
